# VPP SNMP AgentX Bridge

SNMP AgentX daemon that exposes VPP interface statistics via standard IF-MIB.

## Quick Start

```bash
# Build
make build

# Test  
make test

# Create Debian package
make pkg-deb

# Install package
sudo dpkg -i ../govpp-snmp-agentx_*.deb
```

## Configuration

The Debian package installs a systemd service that reads configuration from `/etc/default/govpp-snmp-agentx`:

```bash
# Edit service configuration
sudo nano /etc/default/govpp-snmp-agentx

# Start service
sudo systemctl start govpp-snmp-agentx
```

Default configuration:
```
GOVPP_SNMP_AGENTX_FLAGS="-agentx.addr /var/agentx/master -vppcfg /etc/vpp/vppcfg.yaml -vppstats.period 10"
```

## Documentation

- **Manual page**: `man govpp-snmp-agentx` (after package installation)
- **Detailed documentation**: [docs/DETAILS.md](docs/DETAILS.md)

## License

LGPL 3.0 (due to modified go-agentx dependency)

